Bug 713 - strftime uses fixed max char array size
strftime uses fixed max char array size
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0
All All
: P3 minor
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-03 14:28 UTC by Glen Harris
Modified: 2005-08-24 10:15 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Glen Harris 2003-11-03 14:28:56 UTC
In time.c line 649 the call to strftime uses 100 as the max character array
length, while all the other calls use sizeof(TimeBuf)-1.

As FSTRING_LEN is larger than 100, there is currently no buffer overrun.
Comment 1 Tim Potter 2003-11-04 12:09:52 UTC
Checked in - thanks!
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:15:56 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.